Subject: bug#55537: Guix pull after many months fails: substitutes for git-minimal-2.36.1 failed

From: Maxime Devos <[email-masked]>
Date: Wed, 25 May 2022 17:27:22 +0200

Rafa Gálvez schreef op wo 25-05-2022 om 13:37 [+0200]:
> Hi,
> 
> > Hello,
> > 
> > Rafa Gálvez <[email-masked]> writes:
> > 
> > Toggle quote (7 lines)
> > > ./guix/store.scm:1428:15: ERROR:
> > >    1. &store-protocol-error:
> > >        message: "some substitutes for the outputs of derivation
> > > `/gnu/store/6rbibj988j90d8gyccvxrqmkfr0l3mk6-git-minimal-2.36.1.drv'
> > > failed (usually happens due to networking issues); try `--fallback' to
> > > build derivation from source "
> > 
> > This seems to be a transient network issue, I was able to substitute
> > that on my own computer.  Can you please retry again, and see if that
> > fixes the problem?
> 
> I tried multiple times, everyday since it first happened, to no avail.
> 
> I also ran guix gc just in case there was something there very old that 
> was messing something up, but that didn't help either.

Given that error reporting in "guix pull" is rather basic, maybe try
substituting or building git-minimal outside "guix pull", like this:

$ guix build /gnu/store/6rbibj988j90d8gyccvxrqmkfr0l3mk6-git-minimal-2.36.1.drv

Maybe that will have more information (also easier to attempt to reproduce for
other people)?

Also, I'm wondering if it's case-related somehow, could you run

$ guix build echo
> something like ‘/gnu/store/x2byq2a04pij2m2gqbcy11mqikz07i1m-hello-2.12’
$ /gnu/store/x2byq2a04pij2m2gqbcy11mqikz07i1m-hello-2.12/bin/HELLO # type HELLO, not hello!

and tell use the output of that?

Greetings,
Maxime.